# Celo DApp Gallery

Welcome to the DApp Gallery! Here are some featured examples to help you get started building on Celo.

## Savings Circle

Savings Circles let you pool funds with your friends to save for large purchases. They are known by a variety of names around the world and are a common way to get liquidity and access to loans without access to formal financial institutions.

Github: https://github.com/celo-org/savings-circle-demo

## [Decentralized Impact Incubator](https://blockchainforsocialimpact.com/incubator-winners-2020/) Winners

### Multiply.Charity by Abundance

[Multiply](https://multiply.charity/) the impact of charitable donations by providing liquidity in credit tokens where the legacy financial system fails. Compared to cash donations, like GiveDirectly, this process has two major advantages: The credit tokens 1) fill a demand for liquidity (which banks fail to deliver), thus increasing the incentive to produce goods and services and 2) stay in the local economy longer, resulting in a larger impact (or lower cost overhead) per donation. Early field tests demonstrate up to 20x impact over traditional donations and double the velocity (the rate at which the money is traded) to the US Dollar.

Github: https://github.com/abundance-stack 

### Bienvenir

Decentralized application to help coordinate and improve the impact metric of non-profit organizations that work with migrants in Latin America.

Github: https://github.com/nestorbonilla/bienvenir

## [Celo Camp](https://www.celocamp.com/) Projects  
  
### Pesabase  
  
An integration of a Celo Dollar (Stablecoin) and Mpesa, showing flows of payment between an Mpesa User and a Celo Blockchain wallet from anywhere in the world. Our aim with Pesabase is to provide African’s with a cheap and social option to remit and pay for goods and services.    
  
Github: https://github.com/Kesholabs/celoBackend  

Google play store: https://play.google.com/store/apps/details?id=com.kesholabs.pesabase_money_remittance_app

### Wallet as a Service

Tangany's custody solution [Wallet as a Service](https://docs.tangany.com/?version=latest) enables you to create and 
manage HSM-secured wallets and interact with the underlying blockchain. Our API makes it incredibly easy for developers 
to execute transactions, check details of past transactions or query account balances without any worries about private 
key safekeeping. For the Celo Camp 2020 we have developed a prototype version of our product that integrates the Celo blockchain. 
The [demo project](https://github.com/adrianmitter/celo-camp) presents the new features and provides some code snippets to get started.

### impactMarket

[impactMarket](https://github.com/impactMarket) enables any vulnerable community to create its own unconditional basic income system for their beneficiaries, where each one can claim a fixed amount on a regular basis and make payments for free.

### Celo Toolkit by MugglePay

[MugglePay](https://mugglepay.com/) provides a payment SDK for merchants to accept cryptocurrencies. Mugglepay makes crypto payment easy and thousands of merchants are onboarded with MugglePay SDK. For the Celo Camp 2020, we will integrate with cUSD/CELO for payments on Celo blockchain.

[Celo Toolkit](https://celo.mugglepay.com) is the [open source](https://github.com/MugglePay/celo-toolkit) interface for managing Celo accounts on Web. Celo developer might start with a funded Celo account (Testnet) now in 1 minute. Phone number or app downloads are not necessary.

### Dunia Pay Wallet 

At Dunia Payment, we are building an electronic wallet that will let people in Sub Saharan Africa send and receive money directly on their phone.The app will use the Celo light client to process transactions faster, even in low internet connection areas common in Africa. The wallet will be built on top of the Celo platform and also using a set of external open source smart contracts.

Github : https://github.com/duniapay/Dunia-Wallet-Celo

## Add your app to this list!

_Are you building on Celo? To add your project, please submit a pull request updating this page!_
