# Interface: NetworkConfig

## Hierarchy

* **NetworkConfig**

## Index

### Properties

* [attestations](_kit_.networkconfig.md#attestations)
* [downtimeSlasher](_kit_.networkconfig.md#downtimeslasher)
* [election](_kit_.networkconfig.md#election)
* [exchange](_kit_.networkconfig.md#exchange)
* [gasPriceMinimum](_kit_.networkconfig.md#gaspriceminimum)
* [governance](_kit_.networkconfig.md#governance)
* [lockedGold](_kit_.networkconfig.md#lockedgold)
* [reserve](_kit_.networkconfig.md#reserve)
* [sortedOracles](_kit_.networkconfig.md#sortedoracles)
* [stableToken](_kit_.networkconfig.md#stabletoken)
* [validators](_kit_.networkconfig.md#validators)

## Properties

###  attestations

• **attestations**: *[AttestationsConfig](_wrappers_attestations_.attestationsconfig.md)*

*Defined in [packages/contractkit/src/kit.ts:64](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/kit.ts#L64)*

___

###  downtimeSlasher

• **downtimeSlasher**: *[DowntimeSlasherConfig](_wrappers_downtimeslasher_.downtimeslasherconfig.md)*

*Defined in [packages/contractkit/src/kit.ts:72](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/kit.ts#L72)*

___

###  election

• **election**: *[ElectionConfig](_wrappers_election_.electionconfig.md)*

*Defined in [packages/contractkit/src/kit.ts:62](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/kit.ts#L62)*

___

###  exchange

• **exchange**: *[ExchangeConfig](_wrappers_exchange_.exchangeconfig.md)*

*Defined in [packages/contractkit/src/kit.ts:63](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/kit.ts#L63)*

___

###  gasPriceMinimum

• **gasPriceMinimum**: *[GasPriceMinimumConfig](_wrappers_gaspriceminimum_.gaspriceminimumconfig.md)*

*Defined in [packages/contractkit/src/kit.ts:68](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/kit.ts#L68)*

___

###  governance

• **governance**: *[GovernanceConfig](_wrappers_governance_.governanceconfig.md)*

*Defined in [packages/contractkit/src/kit.ts:65](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/kit.ts#L65)*

___

###  lockedGold

• **lockedGold**: *[LockedGoldConfig](_wrappers_lockedgold_.lockedgoldconfig.md)*

*Defined in [packages/contractkit/src/kit.ts:66](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/kit.ts#L66)*

___

###  reserve

• **reserve**: *[ReserveConfig](_wrappers_reserve_.reserveconfig.md)*

*Defined in [packages/contractkit/src/kit.ts:69](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/kit.ts#L69)*

___

###  sortedOracles

• **sortedOracles**: *[SortedOraclesConfig](_wrappers_sortedoracles_.sortedoraclesconfig.md)*

*Defined in [packages/contractkit/src/kit.ts:67](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/kit.ts#L67)*

___

###  stableToken

• **stableToken**: *[StableTokenConfig](_wrappers_stabletokenwrapper_.stabletokenconfig.md)*

*Defined in [packages/contractkit/src/kit.ts:70](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/kit.ts#L70)*

___

###  validators

• **validators**: *[ValidatorsConfig](_wrappers_validators_.validatorsconfig.md)*

*Defined in [packages/contractkit/src/kit.ts:71](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/kit.ts#L71)*
